import request from '@/utils/request'

// 查询电器物料管理列表
export function listMaterials(query) {
  return request({
    url: '/system/materials/list',
    method: 'get',
    params: query
  })
}

// 查询电器物料管理详细
export function getMaterials(id) {
  return request({
    url: '/system/materials/' + id,
    method: 'get'
  })
}

// 新增电器物料管理
export function addMaterials(data) {
  return request({
    url: '/system/materials',
    method: 'post',
    data: data
  })
}

// 修改电器物料管理
export function updateMaterials(data) {
  return request({
    url: '/system/materials',
    method: 'put',
    data: data
  })
}

// 删除电器物料管理
export function delMaterials(id) {
  return request({
    url: '/system/materials/' + id,
    method: 'delete'
  })
}
// 推送金蝶
export function addToK3() {
  return request({
    url: '/system/materials/addToK3',
    method: 'post'
  })
}